curl --request GET \
--url https://api.messaging.phonovation.com/peopleevents/2/definitions \
--header 'Authorization: <api-key>'import requests
url = "https://api.messaging.phonovation.com/peopleevents/2/definitions"
headers = {"Authorization": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)using RestSharp;
var options = new RestClientOptions("https://api.messaging.phonovation.com/peopleevents/2/definitions");
var client = new RestClient(options);
var request = new RestRequest("");
request.AddHeader("Authorization", "<api-key>");
var response = await client.GetAsync(request);
Console.WriteLine("{0}", response.Content);
HttpResponse<String> response = Unirest.get("https://api.messaging.phonovation.com/peopleevents/2/definitions")
.header("Authorization", "<api-key>")
.asString();<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.messaging.phonovation.com/peopleevents/2/definitions",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://api.messaging.phonovation.com/peopleevents/2/definitions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));[
{
"isInternalDefinition": false,
"category": "external",
"definitionId": "addToCart",
"title": "Item added to cart",
"description": "Occurs when customer adds item to cart, without checkout. Carries information about items added",
"fields": [
{
"name": "transactionId",
"type": "String"
},
{
"name": "fromPromoCampaign",
"type": "Boolean"
},
{
"name": "totalCost",
"type": "Decimal"
},
{
"name": "itemsInCart",
"type": "List",
"schema": {
"type": "Object",
"fields": [
{
"name": "itemId",
"type": "Decimal"
},
{
"name": "price",
"type": "Decimal"
},
{
"name": "quantity",
"type": "Decimal"
},
{
"name": "inStockSince",
"type": "DateTime"
},
{
"name": "category",
"type": "String"
}
]
}
}
]
},
{
"isInternalDefinition": false,
"category": "external",
"definitionId": "addToCart",
"title": "Item added to cart",
"description": "Occurs when customer adds item to cart, without checkout. Carries information about items added",
"fields": [
{
"name": "transactionId",
"type": "String"
},
{
"name": "fromPromoCampaign",
"type": "Boolean"
},
{
"name": "totalCost",
"type": "Decimal"
},
{
"name": "itemsInCart",
"type": "List",
"schema": {
"type": "Object",
"fields": [
{
"name": "itemId",
"type": "Decimal"
},
{
"name": "price",
"type": "Decimal"
},
{
"name": "quantity",
"type": "Decimal"
},
{
"name": "inStockSince",
"type": "DateTime"
},
{
"name": "category",
"type": "String"
}
]
}
}
]
},
{
"isInternalDefinition": false,
"category": "external",
"definitionId": "addToCart",
"title": "Item added to cart",
"description": "Occurs when customer adds item to cart, without checkout. Carries information about items added",
"fields": [
{
"name": "transactionId",
"type": "String"
},
{
"name": "fromPromoCampaign",
"type": "Boolean"
},
{
"name": "totalCost",
"type": "Decimal"
},
{
"name": "itemsInCart",
"type": "List",
"schema": {
"type": "Object",
"fields": [
{
"name": "itemId",
"type": "Decimal"
},
{
"name": "price",
"type": "Decimal"
},
{
"name": "quantity",
"type": "Decimal"
},
{
"name": "inStockSince",
"type": "DateTime"
},
{
"name": "category",
"type": "String"
}
]
}
}
]
}
]{
"requestError": {
"serviceException": {
"messageId": "UNAUTHORIZED",
"text": "Unauthorized"
}
}
}{
"requestError": {
"serviceException": {
"messageId": "FORBIDDEN",
"text": "Forbidden"
}
}
}{
"requestError": {
"serviceException": {
"messageId": "GENERAL_ERROR",
"text": "Something went wrong. Please contact support."
}
}
}List Event Definitions
Retrieve a paginated list of event definitions, including standard, custom, and template definitions. Use query parameters to filter by category (External, Person, Channel, Product, Template) or search by definition ID, title, or description. Results can be ordered by definition ID or title.
Required scope: Enable one of: people:manage, people:read.
curl --request GET \
--url https://api.messaging.phonovation.com/peopleevents/2/definitions \
--header 'Authorization: <api-key>'import requests
url = "https://api.messaging.phonovation.com/peopleevents/2/definitions"
headers = {"Authorization": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)using RestSharp;
var options = new RestClientOptions("https://api.messaging.phonovation.com/peopleevents/2/definitions");
var client = new RestClient(options);
var request = new RestRequest("");
request.AddHeader("Authorization", "<api-key>");
var response = await client.GetAsync(request);
Console.WriteLine("{0}", response.Content);
HttpResponse<String> response = Unirest.get("https://api.messaging.phonovation.com/peopleevents/2/definitions")
.header("Authorization", "<api-key>")
.asString();<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.messaging.phonovation.com/peopleevents/2/definitions",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://api.messaging.phonovation.com/peopleevents/2/definitions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));[
{
"isInternalDefinition": false,
"category": "external",
"definitionId": "addToCart",
"title": "Item added to cart",
"description": "Occurs when customer adds item to cart, without checkout. Carries information about items added",
"fields": [
{
"name": "transactionId",
"type": "String"
},
{
"name": "fromPromoCampaign",
"type": "Boolean"
},
{
"name": "totalCost",
"type": "Decimal"
},
{
"name": "itemsInCart",
"type": "List",
"schema": {
"type": "Object",
"fields": [
{
"name": "itemId",
"type": "Decimal"
},
{
"name": "price",
"type": "Decimal"
},
{
"name": "quantity",
"type": "Decimal"
},
{
"name": "inStockSince",
"type": "DateTime"
},
{
"name": "category",
"type": "String"
}
]
}
}
]
},
{
"isInternalDefinition": false,
"category": "external",
"definitionId": "addToCart",
"title": "Item added to cart",
"description": "Occurs when customer adds item to cart, without checkout. Carries information about items added",
"fields": [
{
"name": "transactionId",
"type": "String"
},
{
"name": "fromPromoCampaign",
"type": "Boolean"
},
{
"name": "totalCost",
"type": "Decimal"
},
{
"name": "itemsInCart",
"type": "List",
"schema": {
"type": "Object",
"fields": [
{
"name": "itemId",
"type": "Decimal"
},
{
"name": "price",
"type": "Decimal"
},
{
"name": "quantity",
"type": "Decimal"
},
{
"name": "inStockSince",
"type": "DateTime"
},
{
"name": "category",
"type": "String"
}
]
}
}
]
},
{
"isInternalDefinition": false,
"category": "external",
"definitionId": "addToCart",
"title": "Item added to cart",
"description": "Occurs when customer adds item to cart, without checkout. Carries information about items added",
"fields": [
{
"name": "transactionId",
"type": "String"
},
{
"name": "fromPromoCampaign",
"type": "Boolean"
},
{
"name": "totalCost",
"type": "Decimal"
},
{
"name": "itemsInCart",
"type": "List",
"schema": {
"type": "Object",
"fields": [
{
"name": "itemId",
"type": "Decimal"
},
{
"name": "price",
"type": "Decimal"
},
{
"name": "quantity",
"type": "Decimal"
},
{
"name": "inStockSince",
"type": "DateTime"
},
{
"name": "category",
"type": "String"
}
]
}
}
]
}
]{
"requestError": {
"serviceException": {
"messageId": "UNAUTHORIZED",
"text": "Unauthorized"
}
}
}{
"requestError": {
"serviceException": {
"messageId": "FORBIDDEN",
"text": "Forbidden"
}
}
}{
"requestError": {
"serviceException": {
"messageId": "GENERAL_ERROR",
"text": "Something went wrong. Please contact support."
}
}
}Authorizations
This is the most secure authorization type and the one with the most flexibility.
API keys can be generated by calling the dedicated API method. Furthermore, API keys can have a limited scope and cover only some API methods. Lastly, they can be revoked at any time. This range of possibilities makes API keys well suited for separating the API access rights across multiple applications or use cases. Finally, the loss of an API key is easily manageable.
You can manage your API keys from GUI, or programmatically with dedicated API.
API key Authorization header example:
Authorization: App 003026bbc133714df1834b8638bb496e-8f4b3d9a-e931-478d-a994-28a725159ab9
Query Parameters
A pagination parameter that specifies the number of records to skip before starting to return results.
0 <= x <= 2147483647A pagination parameter that specifies the maximum number of records to return in a single response.
0 <= x <= 2147483647Defines the sort direction for the results.
Note: If orderField is not provided, this parameter will not have any effect.
Sort direction for results.
Asc, Desc Specifies the field by which the results should be ordered.
Note: If orderType is not provided, ordering will not work.
Field by which results should be ordered.
DefinitionId, Title Filters results by one or more event definition categories.
Event definition category.
external, person, channel, product, template Text used for searching event definitions by definition ID, title, or description.
Response
OK
Indicates whether this is a standard (internal) event definition provided by the system, or a custom (external) definition created by the user.
Event definition category.
external, person, channel, product, template Event definition subcategory.
sms, email, push, whatsapp, viber, facebook, moments, forms, conversations, mobileapp, voice, line, appleBC, rcs, mms, viberBot, inapp, answers, blocklist Event definition identifier.
Event definition title.
Event definition description.
Event definition fields describing the structure and data types of the event properties.
Show child attributes
Show child attributes